// TriangleWorld.h 
// 2/27/04 
// Forrest Briggs
// Inlcudes the main program.. 
// 3/6/04 
// Forrest Briggs
// added lighting
// 3/15/04 Ben Pellow
// Added timer.
// 3 / 22 / 04 Forrest Briggs
// Modifid initGL to support texturemapping.

#ifndef main_h
#define main_h

#include "cGame.h"

int main(int argc, char **argv);
void display(void);

// 3/6/04
// Forrest Briggs
// modified reshade function from open gl tutorial to correctly preserve aspect ration
// when resizing the window.
void reshapeWindow(int width, int height);
void initGL();
void idle();
void keyboard(unsigned char key, int x, int y);
void timer(int value);
void mouseClick(int button, int state, int x, int y); 
void mouseMove(int x, int y);

#endif // end define main_h